## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate interprocess

Name:           rust-interprocess
Version:        1.2.1
Release:        %autorelease
Summary:        Interprocess communication toolkit

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/interprocess
Source:         %{crates_source}
# https://github.com/kotauskas/interprocess/pull/50
Source:         https://github.com/kotauskas/interprocess/raw/0e6b734/LICENSE-APACHE
Source:         https://github.com/kotauskas/interprocess/raw/0e6b734/LICENSE-MIT
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          interprocess-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unused support for signals with missing dependencies
# * drop to_method dependency (problematic CC0-1.0 license)
#   and port code to std::convert::TryFrom
Patch:          interprocess-fix-metadata.diff
Patch:          0001-port-from-to_method-To-to-std-convert-TryFrom.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Interprocess communication toolkit.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+blocking-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+blocking-devel %{_description}

This package contains library source intended for building other packages which
use the "blocking" feature of the "%{crate}" crate.

%files       -n %{name}+blocking-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+doc_cfg-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+doc_cfg-devel %{_description}

This package contains library source intended for building other packages which
use the "doc_cfg" feature of the "%{crate}" crate.

%files       -n %{name}+doc_cfg-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-core-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-core" feature of the "%{crate}" crate.

%files       -n %{name}+futures-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-io-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-io" feature of the "%{crate}" crate.

%files       -n %{name}+futures-io-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nonblocking-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nonblocking-devel %{_description}

This package contains library source intended for building other packages which
use the "nonblocking" feature of the "%{crate}" crate.

%files       -n %{name}+nonblocking-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio_support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio_support-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio_support" feature of the "%{crate}" crate.

%files       -n %{name}+tokio_support-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -pav %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fabio Valentini <decathorpe@gmail.com> - 1.2.1-1
- Initial import (#2258992)
## END: Generated by rpmautospec
